1.3. 安装要求

需要安装下列组件才能使用 Workbench。 如果从 CD 安装 RealView Development Suite,则会安装所有必需的组件,包括 ARM Workbench IDE。

如果 Eclipse IDE 是自定义安装的,则在使用 ARM Workbench IDE 之前,必须确保已按如下顺序安装了下列组件。

Java 运行时环境 (JRE)

下载并安装 J2SE 5.0 或更高版本。 请参阅 http://www.java.comhttp://www.eclipse.org。 必须使用 32 位版本的 JRE,即使在 64 位操作系统上运行也是如此。

Eclipse

http://www.eclipse.org 下载并安装 Eclipse v3.3。

BIRT

http://www.arm.com/eclipse 下载下列 BIRT 功能:

  • 图表和报告创建

  • 数据库开发

CDT

C 和 C++ 开发工具 (CDT) 是一种插件,可将 C 和 C++ 生成环境集成到 IDE 中。 您可以将此插件作为 Eclipse+CDT 捆绑产品的一部分进行安装,网址是 http://www.eclipse.org。 如果要使用最新的 RealView 工具,则需要安装 CDT v4.0.3。

ARM 插件

使用 Workbench 的软件更新功能来安装 ARM 插件,网址是 http://www.arm.com/eclipse。 请参阅安装新功能

GNU 工具链

如果要与 GNU 工具链集成,则必须安装下列工具之一:

  • MinGW,网址是 http://www.mingw.org

  • Cygwin,网址是 http://www.cygwin.com

Copyright © 2006-2008 ARM Limited. All rights reserved。ARM DUI 0330EC
Non-Confidential